de.esprit.appsuite.appstore.ndf

## Class JavaAppDescriptor

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.appstore.ndf.AppDescriptor
    - - de.esprit.appsuite.appstore.ndf.JavaAppDescriptor

- All Implemented Interfaces:
    Dumpable

      public class JavaAppDescriptor
      extends AppDescriptor

  This class describes parameters for launching a java process.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.appstore.ndf.AppDescriptor

      `appDescriptorFileName, columnArgDescr, columnDataType, columnDefaultValue, columnHelpText, columnMax, columnMin, columnMode, columnOption, columnOsArch, columnOsFamily, columnOsType, columnPathEntry, columnProperty, columnValue, columnVariable, commandLineArgs, docTypeAppDescriptor, environmentMap, nativePath, objectJavaApp, objectNativeApp, propCommandLineArgs, propExecutablePath, propInstallationFile, propJavaTechnology, propJavaVmType, propMainClass, propNumericalPrecision, propVmArgs, propVmMaxMemory, sysPathMap, sysPropMap, tableClassPath, tableCommandLineOptionDescriptions, tableEnvironment, tableNativePath, tableSystemPathProps, tableSystemProps, validJavaAppKeys, validNativeAppKeys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaAppDescriptor(java.lang.String installationFile, NumericalPrecision numPrec, java.lang.String mainClass, JavaVmType javaVmType, JavaTechnology javaTechnology, int vmMaxMemory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClassPath(java.lang.String path)`
    `protected void` | `dumpSpecialProperties(DumpString s)`
    `void` | `fillJavaCommand(JavaCommand cmd)`
    `java.util.List<java.lang.String>` | `getClassPath()`
    `JavaTechnology` | `getJavaTechnology()`
    `JavaVmType` | `getJavaVmType()`
    `java.lang.String` | `getMainClass()`
    `java.lang.String[]` | `getVmArguments()`
    `int` | `getVmMaxMemory()`
    `boolean` | `isJavaProcess()`
    `void` | `setVmArguments(java.lang.String[] vmArguments)`
    `void` | `setVmMaxMemory(int vmMaxMemory)`

    - ### Methods inherited from class de.esprit.appsuite.appstore.ndf.AppDescriptor

      `addCommandLineOptionDescription, addLibraryPath, getAppDirName, getAppDisplayName, getAppInfo, getAppVersion, getBatchOptionDescription, getCommandLineArgs, getCommandLineOptionDescriptions, getCustomProperties, getEnvironmentMap, getHelpOptionDescription, getInstallationFile, getNativePath, getNumericalPrecision, getSystemPathProperties, getSystemProperties, getVersionDirName, getVersionOptionDescription, getVersionPath, getZipFile, getZipFileName, putCustomProperty, putEnv, putSystemPathProperty, putSystemProperty, readAppDescriptor, readAppDescriptor, readDefaultLaunchPrefs, setAppVersion, setCommandLineArgs, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaAppDescriptor

          public JavaAppDescriptor(java.lang.String installationFile,
                           NumericalPrecision numPrec,
                           java.lang.String mainClass,
                           JavaVmType javaVmType,
                           JavaTechnology javaTechnology,
                           int vmMaxMemory)

  - ### Method Detail

    - #### fillJavaCommand

          public void fillJavaCommand(JavaCommand cmd)

    - #### isJavaProcess

          public boolean isJavaProcess()

      Specified by:
        `isJavaProcess` in class `AppDescriptor`

    - #### getMainClass

          public java.lang.String getMainClass()

    - #### getJavaTechnology

          public JavaTechnology getJavaTechnology()

    - #### setVmMaxMemory

          public void setVmMaxMemory(int vmMaxMemory)

    - #### getVmArguments

          public java.lang.String[] getVmArguments()

    - #### getVmMaxMemory

          public int getVmMaxMemory()

    - #### getJavaVmType

          public JavaVmType getJavaVmType()

    - #### setVmArguments

          public void setVmArguments(java.lang.String[] vmArguments)

    - #### addClassPath

          public void addClassPath(java.lang.String path)

    - #### getClassPath

          public java.util.List<java.lang.String> getClassPath()

    - #### dumpSpecialProperties

          protected void dumpSpecialProperties(DumpString s)

      Specified by:
        `dumpSpecialProperties` in class `AppDescriptor`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.